﻿using System;
using System.Globalization;
using Syncfusion.Windows.Forms;

namespace MessageBoxAdvLocalization
{
    // localizer inherits the interface of ILocationProvider
    internal class localizer : ILocalizationProvider
    {
        public string GetLocalizedString(CultureInfo culture, string name, object ctrl)
        {
            #region Localization

            switch (name)
            {
                #region MessageBoxAdv
                ///<summary> 
                ///OK Button in Spanish Language 
                ///</summary>
                case ResourceIdentifiers.OK:
                    return "De acuerdo";

                ///<summary>
                ///Cancel Button in Spanish Language
                ///</summary>                    
                case ResourceIdentifiers.Cancel:
                    return "Cancelar";

                ///<summary>
                /// default
                ///</summary>
                default:
                    return string.Empty;
                    #endregion
            }
            #endregion
        }
    }
}